Page MenuHomePhabricator

Echo phpunit tests fail together with other extensions
Closed, ResolvedPublic

Description

Originally from https://phabricator.wikimedia.org/T110604#2241193 .
With https://gerrit.wikimedia.org/r/#/c/285423/ retesting https://gerrit.wikimedia.org/r/#/c/285155/ gives an error
https://integration.wikimedia.org/ci/job/mwext-testextension-hhvm/10468/console

19:30:51 1) EchoUserLocatorTest::testLocateArticleCreator with data set #0 ('Something', Closure$EchoUserLocatorTest::locateArticleCreatorProvider;1324735286 Object (...))
19:30:51 Something
19:30:51 Failed asserting that two arrays are equal.
19:30:51 --- Expected
19:30:51 +++ Actual
19:30:51 @@ @@
19:30:51  Array (
19:30:51 -    0 => 2
19:30:51  )
19:30:51 
19:30:51 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Echo/tests/phpunit/UserLocatorTest.php:131
19:30:51 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:156

Removing Echo only from Wikidata https://gerrit.wikimedia.org/r/#/c/285453/ until it is fixed.

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2016, 12:58 PM

Change 285638 had a related patch set uploaded (by JanZerebecki):
Remove generic dependency for Wikibase on Echo.

https://gerrit.wikimedia.org/r/285638

Change 285638 merged by jenkins-bot:
Remove generic dependency for Wikibase on Echo.

https://gerrit.wikimedia.org/r/285638

JanZerebecki updated the task description. (Show Details)Apr 27 2016, 1:14 PM

Change 286174 had a related patch set uploaded (by JanZerebecki):
Revert "add Wikidata dependency on ContentTranslation"

https://gerrit.wikimedia.org/r/286174

Change 286174 merged by jenkins-bot:
Revert "add Wikidata dependency on ContentTranslation"

https://gerrit.wikimedia.org/r/286174

Lucie moved this task from Incoming to Doing on the ArticlePlaceholder board.May 18 2016, 12:51 PM
Lucie moved this task from Doing to To Do Next on the ArticlePlaceholder board.
Lucie removed a project: Patch-For-Review.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 28 2016, 10:25 AM
Aklapper closed this task as Resolved.Mar 1 2017, 1:30 PM
Aklapper claimed this task.

All patches merged; no reply to last comment.
Assuming this is fixed. If not, please reopen.

hoo moved this task from To Do Next to Done on the ArticlePlaceholder board.Apr 3 2017, 3:34 PM